/*フォームを中央寄せにする*/
.form-item-centered .el-form-item__content {
    justify-content: center;
}

/*ボタンのサイズ調整*/
.el-button {
    padding: 19px;
    font-size: 14px;
}

.el-button--success {
	background-color: #003328 !important;
	--el-button-border-color: #003328 !important;
	--el-button-disabled-border-color: #003328 !important;
}

.el-button--success:hover {
	background: #056150 !important;
}

.el-button--default {
    border: 1px solid #003328 !important;
}

.el-button--default:hover {
	color: white !important;
	background-color: #003328 !important;
}

/*ボタンの色*/
.el-button.colorClear {
    color: #003328;
    background: white;
	border-color: #C0C4CC !important;
	border-width: 1px;
	border-style: solid;
}

.el-button.no-hover,
.el-button.no-hover:hover {
    background: white;
    border: 1px solid #dcdfe6;
    color: #003328;
}

.el-input {
	--el-input-focus-border-color: #056150;
	height: 40px;
}

/*インプットの縦サイズ調整*/
.input-height-40 {
	height: 40px;
}

.input-height-50 {
	height: 50px;
}

/*インプットの横サイズ調整*/
.input-width-200 {
	width: 200px;
}

/*インプットの横サイズ調整*/
.input-width-300 {
	width: 300px;
}

/*インプットの横サイズ調整*/
.input-width-400 {
	width: 400px;
}

/*インプットの横サイズ調整*/
.input-width-500 {
	width: 500px;
}

/*セレクトボックスのサイズ調整*/
.el-select__wrapper {
	min-height: 40px;
    height: auto;
}

/*セレクトボックスにフォーカスが当たっている時の色と選択されている要素の色*/
.el-select__wrapper.is-focused {
    box-shadow: 0 0 0 1px #003328 inset;
}

.el-select-dropdown__item.is-selected {
    color: #006D56 !important;
}

.form-item-confirm .el-form-item {
    margin-bottom: 22px;
    height: 40px;
    align-items: center
}

/*confirmデザイン調整*/
.el-message-box__content {
	display: flex;
	justify-content: center;
}

.el-message-box__status+.el-message-box__message {
    padding-left: 0px;
}

.el-message-box__container {
	padding: 10px;
}

.btn-group {
	display: flex;
	flex-direction: column;
}

/*ラジオの色調整*/
.el-radio__input.is-checked .el-radio__inner {
    background: #003328;
    border-color: #003328;
}

.el-radio.is-checked .el-radio__label {
  color: #003328;
}

.el-radio__inner:hover {
	border-color: #003328;
}

/*ダイヤログのデザイン調整*/
.el-overlay-dialog {
  align-items: center;
  /*overflow: hidden;*/
}

.el-dialog__header {
    border: none;
    border-bottom: solid 1px #d3d3d3;
}

.el-dialog__headerbtn:focus .el-dialog__close, .el-dialog__headerbtn:hover .el-dialog__close {
    color: #003328;
}

.el-dialog__footer {
    text-align: center;
}

.el-dialog__body {
    padding: 30px 0px;
}

.el-collapse-item {
	padding-top: 15px;
	padding-bottom: 15px;
}

.el-collapse-item__content {
	padding-top: 15px;
    padding-bottom: 0px;
}

.el-slider.is-vertical .el-slider__runway {
    margin-top: 20px;
}

.el-select__selected-item {
	color: #003328;
	font-size: 14px;
	margin-left: 5px;
	font-family: 'PingFang SC', 'STHeitiSC-Ligth', 'Helvetica-Light', arial, sans-serif !important;
}

.owner .el-select__selected-item {
	color: #003328;
}

.el-select__placeholder.is-transparent {
    color: var(--el-text-color-placeholder) !important;
}

.el-switch.is-checked .el-switch__core {
    background-color: #077069;
    border-color: #077069;
}

/*チェックボックスのチェック時の色*/
.el-checkbox.is-checked .el-checkbox__label {
    color: #003328;
}

.el-checkbox__input.is-checked .el-checkbox__inner {
    background-color: #003328;
    border-color: #003328;
    color: #003328;
}

/*昇順・降順選択時の色*/
.el-table .ascending .sort-caret.ascending {
    border-bottom-color: #003328;
}
.el-table .descending .sort-caret.descending {
    border-top-color: #003328;
}

/*v-loadingのスピナー色*/
.el-loading-spinner .path {
    stroke: #003328;
}

/*削除フォームカスタム設定*/
.el-message-box.deleteConfirmBox .el-message-box__content {
    display: block;
}

.el-message-box.deleteConfirmBox .el-message-box__container {
    display: flex;
    gap: 10px;
}

.el-message-box.deleteConfirmBox .el-message-box__status.el-message-box-icon--info {
    position: unset !important;
    font-size: 30px;
}

.el-message-box.deleteConfirmBox .el-message-box__btns .el-button,
.el-message-box.deleteConfirmBox .el-message-box__btns .el-button:hover {
    background: none;
    color: #003328;
    border-color: #003328;
    font-size: 12px;
    border-radius: 3px;
    padding: 8px 15px;
}

.el-message-box.deleteConfirmBox .el-input__wrapper {
    background: none;
}

.el-message-box.deleteConfirmBox .el-input.invalid .el-input__wrapper {
    box-shadow: 0 0 0 1px red inset;
}
    
.el-message-box__headerbtn:focus .el-message-box__close,.el-message-box__headerbtn:hover .el-message-box__close {
    color: #003328 !important;
}

.el-message-box {
	width: 500px;
  	max-width: 90vw;
  	padding: 30px;
}

.el-message-box__header.show-close {
    padding-right: 0;
}

.custom-popover {
  width: 500px !important;
}

.el-dialog__header.show-close {
    padding-right: 0;
}

.el-message-box__btns .el-button {
	color: #003328;
	border: 1px solid #003328 !important;
}

.el-message-box__btns .el-button:hover {
	color: white;
	background-color: #003328;
}

.el-message-box__btns .el-button--primary {
	color: white;
	background-color: #003328;
}

.el-message-box__btns .el-button--primary:hover {
	color: white;
	background: #056150;
}

.el-radio-button {
	--el-radio-button-checked-bg-color: #056150;
    --el-radio-button-checked-border-color: #056150;
}

.el-radio-button__inner:hover {
	color: #056150;
}

.el-checkbox__inner:hover {
    border-color: #056150;
}

.el-date-picker, .el-date-range-picker {
	--el-datepicker-active-color: #056150;
    --el-datepicker-hover-text-color: #056150;
}

.el-input__wrapper.is-focus {
    box-shadow: 0 0 0 1px #003328 inset;
}

.el-pagination.is-background .btn-next.is-active, .el-pagination.is-background .btn-prev.is-active, .el-pagination.is-background .el-pager li.is-active {
    background-color: #003328;
}

.el-pagination.is-background .btn-next, .el-pagination.is-background .btn-prev {
    background-color: #99C4BB !important;
}

.el-range-editor.is-active, .el-range-editor.is-active:hover {
    box-shadow: 0 0 0 1px #056150 inset;
}

/*.el-input__wrapper.is-focus {
    box-shadow: 0 0 0 1px #003328 inset;
}*/

.el-dropdown-menu__item:not(.is-disabled):focus, .el-dropdown-menu__item:not(.is-disabled):hover {
    color: #056150;
}

.el-textarea {
    --el-input-focus-border: #056150;
    --el-input-focus-border-color: #056150;
}
    
.el-dropdown-menu__item:not(.is-disabled):focus, .el-dropdown-menu__item:not(.is-disabled):hover {
    color: #056150;
}

.el-input-number__decrease:hover, .el-input-number__increase:hover {
    color: #003328;
}
